Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1597193 - service requests view gets permanently broken when there is some service request tied to deleted user
Summary: service requests view gets permanently broken when there is some service requ...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.10.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.10.0
Assignee: Harpreet Kataria
QA Contact: Niyaz Akhtar Ansari
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-07-02 08:32 UTC by Ievgen Zapolskyi
Modified: 2019-02-11 14:06 UTC (History)
7 users (show)

Fixed In Version: 5.10.0.3
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-11 14:06:50 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)
screenshot (deleted)
2018-07-02 08:32 UTC, Ievgen Zapolskyi
no flags Details
cfme logs (deleted)
2018-07-02 08:37 UTC, Ievgen Zapolskyi
no flags Details

Description Ievgen Zapolskyi 2018-07-02 08:32:12 UTC
Created attachment 1455904 [details]
screenshot

Description of problem:
There is an automated test which orders catalog item via REST and then deletes ordered item and all related resources. One of removed resources is user. the service request isn't removed. So, when I try to open service requests view in UI, I get broken view.

Version-Release number of selected component (if applicable):
5.10.0.2

How reproducible:
100%

Steps to Reproduce:
1. run cfme/tests/services/test_rest_services.py::TestServiceRequests.test_user_item_order test 
2. open Services->Requests

Actual results:
broken view appears

Expected results:
1. CFME shouldn't allow to remove entities thru rest if there are tied entities
and/or
2. Services->Requests view shouldn't get broken if there is some broken item

Additional info:
REST Requests:

2018-07-02 10:15:16,280 [I] (rest-api) [RESTAPI] GET https://10.8.199.113/api {} (.cfme/local/lib/python2.7/site-packages/manageiq_client/api.py:109)
2018-07-02 10:15:17,244 [I] (rest-api) [RESTAPI] GET https://10.8.199.113/api/settings {} (.cfme/local/lib/python2.7/site-packages/manageiq_client/api.py:109)
2018-07-02 10:15:18,042 [I] (rest-api) [RESTAPI] GET https://10.8.199.113/api/servers {'filter[]': [u'is_master = True']} (.cfme/local/lib/python2.7/site-packages/manageiq_client/api.py:109)
2018-07-02 10:15:18,491 [I] (rest-api) [RESTAPI] GET https://10.8.199.113/api/servers/1 {} (.cfme/local/lib/python2.7/site-packages/manageiq_client/api.py:109)
2018-07-02 10:15:18,893 [I] (rest-api) [RESTAPI] GET https://10.8.199.113/api/servers {'filter[]': [u'is_master = True']} (.cfme/local/lib/python2.7/site-packages/manageiq_client/api.py:109)
2018-07-02 10:15:19,298 [I] (rest-api) [RESTAPI] GET https://10.8.199.113/api/servers/1 {} (.cfme/local/lib/python2.7/site-packages/manageiq_client/api.py:109)
2018-07-02 10:15:21,110 [I] Pushed appliance 10.8.199.113 on stack (was empty before)  (cfme/utils/appliance/__init__.py:2816)
2018-07-02 10:15:21,775 [I] (rest-api) [RESTAPI] GET https://10.8.199.113/api/providers {'expand': 'resources'} (.cfme/local/lib/python2.7/site-packages/manageiq_client/api.py:109)
2018-07-02 10:15:22,417 [I] ============================ Starting new test run ============================= (cfme/fixtures/log.py:32)
2018-07-02 10:15:22,417 [I] Collected 1 items (cfme/fixtures/log.py:35)
2018-07-02 10:15:22,496 [I] ------------------- TestServiceRequests.test_user_item_order ------------------- (cfme/fixtures/log.py:27)
2018-07-02 10:15:22,499 [I] (rest-api) [RESTAPI] GET https://10.8.199.113/api/servers {'filter[]': [u'is_master = True']} (.cfme/local/lib/python2.7/site-packages/manageiq_client/api.py:109)
2018-07-02 10:15:22,923 [I] (rest-api) [RESTAPI] GET https://10.8.199.113/api/servers/1 {} (.cfme/local/lib/python2.7/site-packages/manageiq_client/api.py:109)
2018-07-02 10:15:23,336 [I] (rest-api) [RESTAPI] GET https://10.8.199.113/api/settings {} (.cfme/local/lib/python2.7/site-packages/manageiq_client/api.py:109)
2018-07-02 10:15:26,458 [I] default appliance ssh credentials are valid (cfme/utils/appliance/__init__.py:875)
2018-07-02 10:15:26,459 [I] Running command 'ip address show' (cfme/utils/ssh.py:283)
2018-07-02 10:15:27,429 [I] [DB] db_url is postgresql://root:smartvm@10.8.199.113:5432/vmdb_production (cfme/utils/db.py:195)
2018-07-02 10:15:37,564 [I] (rest-api) [RESTAPI] GET https://10.8.199.113/api/servers/1 {} (.cfme/local/lib/python2.7/site-packages/manageiq_client/api.py:109)
2018-07-02 10:15:38,976 [I] (rest-api) [RESTAPI] GET https://10.8.199.113/api/settings {} (.cfme/local/lib/python2.7/site-packages/manageiq_client/api.py:109)
2018-07-02 10:15:40,157 [I] Disabling the websocket role to ensure we get no intrusive popups (cfme/fixtures/base.py:17)
2018-07-02 10:15:44,684 [I] (rest-api) [RESTAPI] GET https://10.8.199.113/api/settings {} (.cfme/local/lib/python2.7/site-packages/manageiq_client/api.py:109)
2018-07-02 10:15:45,916 [I] (rest-api) [RESTAPI] GET https://10.8.199.113/api/servers {'filter[]': [u'is_master = True']} (.cfme/local/lib/python2.7/site-packages/manageiq_client/api.py:109)
2018-07-02 10:15:46,888 [I] (rest-api) [RESTAPI] GET https://10.8.199.113/api/servers/1 {} (.cfme/local/lib/python2.7/site-packages/manageiq_client/api.py:109)
2018-07-02 10:15:47,352 [I] (rest-api) [RESTAPI] GET https://10.8.199.113/api/servers {'filter[]': [u'is_master = True']} (.cfme/local/lib/python2.7/site-packages/manageiq_client/api.py:109)
2018-07-02 10:15:47,788 [I] (rest-api) [RESTAPI] GET https://10.8.199.113/api/servers/1 {} (.cfme/local/lib/python2.7/site-packages/manageiq_client/api.py:109)
2018-07-02 10:16:07,603 [I] Running command 'test -s /etc/init.d/merkyl' (cfme/utils/ssh.py:283)
2018-07-02 10:16:08,231 [W] Exit code 1! (cfme/utils/ssh.py:360)
2018-07-02 10:16:08,232 [I] Rudely overwriting merkyl init.d on appliance; (cfme/fixtures/base.py:28)
2018-07-02 10:16:08,232 [I] Transferring local file '/home/ez/proj/integration_tests/data/bundles/merkyl/merkyl' to remote '/etc/init.d/merkyl' (cfme/utils/ssh.py:417)
2018-07-02 10:16:09,561 [I] Running command 'service merkyl restart' (cfme/utils/ssh.py:283)
2018-07-02 10:16:10,748 [I] Checking appliance's /etc/hosts for its own hostname (cfme/fixtures/base.py:49)
2018-07-02 10:16:10,748 [I] Running command 'grep $(hostname) /etc/hosts' (cfme/utils/ssh.py:283)
2018-07-02 10:16:11,523 [W] Exit code 1! (cfme/utils/ssh.py:360)
2018-07-02 10:16:11,524 [I] Setting appliance hostname (cfme/fixtures/base.py:51)
2018-07-02 10:16:11,525 [I] Running command 'host 10.8.199.113' (cfme/utils/ssh.py:283)
2018-07-02 10:16:12,300 [I] Setting hostname: dhcp-8-199-113.cfme2.lab.eng.rdu2.redhat.com (cfme/fixtures/base.py:65)
2018-07-02 10:16:12,307 [I] Running command 'appliance_console_cli --host dhcp-8-199-113.cfme2.lab.eng.rdu2.redhat.com' (cfme/utils/ssh.py:283)
2018-07-02 10:16:21,408 [I] Running command 'grep $(hostname) /etc/hosts' (cfme/utils/ssh.py:283)
2018-07-02 10:16:22,158 [W] Exit code 1! (cfme/utils/ssh.py:360)
2018-07-02 10:16:22,159 [E] Failed to mangle /etc/hosts (cfme/fixtures/base.py:68)
2018-07-02 10:16:22,161 [I] (rest-api) [RESTAPI] GET https://10.8.199.113/api/roles {'filter[]': [u'name = "EvmRole-user_self_service"']} (.cfme/local/lib/python2.7/site-packages/manageiq_client/api.py:109)
2018-07-02 10:16:23,017 [I] (rest-api) [RESTAPI] GET https://10.8.199.113/api/roles/11 {} (.cfme/local/lib/python2.7/site-packages/manageiq_client/api.py:109)
2018-07-02 10:16:23,489 [I] (rest-api) [RESTAPI] GET https://10.8.199.113/api/roles {} (.cfme/local/lib/python2.7/site-packages/manageiq_client/api.py:109)
2018-07-02 10:16:23,933 [I] (rest-api) [RESTAPI] POST https://10.8.199.113/api/roles {'action': u'create', 'resource': {'settings': {u'restrictions': {u'vms': u'user_or_group'}}, 'features': [{u'href': u'https://10.8.199.113/api/roles/11/features/6'}, {u'href': u'https://10.8.199.113/api/roles/11/features/11'}, {u'href': u'https://10.8.199.113/api/roles/11/features/29'}, {u'href': u'https://10.8.199.113/api/roles/11/features/35'}, {u'href': u'https://10.8.199.113/api/roles/11/features/64'}, {u'href': u'https://10.8.199.113/api/roles/11/features/75'}, {u'href': u'https://10.8.199.113/api/roles/11/features/97'}, {u'href': u'https://10.8.199.113/api/roles/11/features/99'}, {u'href': u'https://10.8.199.113/api/roles/11/features/100'}, {u'href': u'https://10.8.199.113/api/roles/11/features/102'}, {u'href': u'https://10.8.199.113/api/roles/11/features/104'}, {u'href': u'https://10.8.199.113/api/roles/11/features/107'}, {u'href': u'https://10.8.199.113/api/roles/11/features/583'}, {u'href': u'https://10.8.199.113/api/roles/11/features/584'}, {u'href': u'https://10.8.199.113/api/roles/11/features/712'}, {u'href': u'https://10.8.199.113/api/roles/11/features/991'}, {u'href': u'https://10.8.199.113/api/roles/11/features/1012'}, {u'href': u'https://10.8.199.113/api/roles/11/features/1036'}, {u'href': u'https://10.8.199.113/api/roles/11/features/1064'}, {u'href': u'https://10.8.199.113/api/roles/11/features/1139'}, {u'href': u'https://10.8.199.113/api/roles/11/features/1140'}, {u'href': u'https://10.8.199.113/api/roles/11/features/1142'}, {u'href': u'https://10.8.199.113/api/roles/11/features/1143'}, {u'href': u'https://10.8.199.113/api/roles/11/features/1146'}, {u'href': u'https://10.8.199.113/api/roles/11/features/1147'}, {u'href': u'https://10.8.199.113/api/roles/11/features/1155'}, {u'href': u'https://10.8.199.113/api/roles/11/features/1157'}, {u'href': u'https://10.8.199.113/api/roles/11/features/1158'}, {u'href': u'https://10.8.199.113/api/roles/11/features/1159'}, {u'href': u'https://10.8.199.113/api/roles/11/features/1160'}, {u'href': u'https://10.8.199.113/api/roles/11/features/1161'}, {u'href': u'https://10.8.199.113/api/roles/11/features/1162'}, {u'href': u'https://10.8.199.113/api/roles/11/features/1163'}, {u'href': u'https://10.8.199.113/api/roles/11/features/1164'}, {u'href': u'https://10.8.199.113/api/roles/11/features/1165'}, {u'href': u'https://10.8.199.113/api/roles/11/features/1166'}, {u'href': u'https://10.8.199.113/api/roles/11/features/1167'}, {u'href': u'https://10.8.199.113/api/roles/11/features/1168'}, {u'href': u'https://10.8.199.113/api/roles/11/features/1169'}, {u'href': u'https://10.8.199.113/api/roles/11/features/1170'}, {u'href': u'https://10.8.199.113/api/roles/11/features/1172'}, {u'href': u'https://10.8.199.113/api/roles/11/features/1173'}, {u'href': u'https://10.8.199.113/api/roles/11/features/1174'}, {u'href': u'https://10.8.199.113/api/roles/11/features/1177'}, {u'href': u'https://10.8.199.113/api/roles/11/features/1183'}, {u'href': u'https://10.8.199.113/api/roles/11/features/1193'}, {u'href': u'https://10.8.199.113/api/roles/11/features/1194'}, {u'href': u'https://10.8.199.113/api/roles/11/features/1196'}, {u'href': u'https://10.8.199.113/api/roles/11/features/1197'}, {u'href': u'https://10.8.199.113/api/roles/11/features/1198'}, {u'href': u'https://10.8.199.113/api/roles/11/features/1205'}, {u'href': u'https://10.8.199.113/api/roles/11/features/1206'}, {u'href': u'https://10.8.199.113/api/roles/11/features/1209'}, {u'href': u'https://10.8.199.113/api/roles/11/features/1211'}, {u'href': u'https://10.8.199.113/api/roles/11/features/1213'}, {u'href': u'https://10.8.199.113/api/roles/11/features/1269'}, {u'href': u'https://10.8.199.113/api/roles/11/features/1360'}], 'name': 'EvmRole-Qb3BoojKyn'}} (.cfme/local/lib/python2.7/site-packages/manageiq_client/api.py:115)
2018-07-02 10:16:24,970 [I] (rest-api) [RESTAPI] RESPONSE <Response [200]> (.cfme/local/lib/python2.7/site-packages/manageiq_client/api.py:118)
2018-07-02 10:16:24,977 [I] (rest-api) [RESTAPI] GET https://10.8.199.113/api/roles/19 {} (.cfme/local/lib/python2.7/site-packages/manageiq_client/api.py:109)
2018-07-02 10:16:25,422 [I] (rest-api) [RESTAPI] POST https://10.8.199.113/api/roles/19 {'action': u'edit', 'resource': {'settings': None}} (.cfme/local/lib/python2.7/site-packages/manageiq_client/api.py:115)
2018-07-02 10:16:26,469 [I] (rest-api) [RESTAPI] RESPONSE <Response [200]> (.cfme/local/lib/python2.7/site-packages/manageiq_client/api.py:118)
2018-07-02 10:16:26,472 [I] (rest-api) [RESTAPI] GET https://10.8.199.113/api/tenants {'filter[]': [u'name = "My Company"']} (.cfme/local/lib/python2.7/site-packages/manageiq_client/api.py:109)
2018-07-02 10:16:26,929 [I] (rest-api) [RESTAPI] GET https://10.8.199.113/api/tenants/1 {} (.cfme/local/lib/python2.7/site-packages/manageiq_client/api.py:109)
2018-07-02 10:16:27,409 [I] (rest-api) [RESTAPI] GET https://10.8.199.113/api/groups {} (.cfme/local/lib/python2.7/site-packages/manageiq_client/api.py:109)
2018-07-02 10:16:27,936 [I] (rest-api) [RESTAPI] POST https://10.8.199.113/api/groups {'action': u'create', 'resources': [{'role': {'href': u'https://10.8.199.113/api/roles/19'}, 'description': 'group_description_1DvIxAvU5p', 'tenant': {'href': u'https://10.8.199.113/api/tenants/1'}}]} (.cfme/local/lib/python2.7/site-packages/manageiq_client/api.py:115)
2018-07-02 10:16:28,499 [I] (rest-api) [RESTAPI] RESPONSE <Response [200]> (.cfme/local/lib/python2.7/site-packages/manageiq_client/api.py:118)
2018-07-02 10:16:28,501 [I] (rest-api) [RESTAPI] GET https://10.8.199.113/api/groups {'filter[]': [u'description = "group_description_1DvIxAvU5p"']} (.cfme/local/lib/python2.7/site-packages/manageiq_client/api.py:109)
2018-07-02 10:16:28,962 [I] (rest-api) [RESTAPI] GET https://10.8.199.113/api/users {} (.cfme/local/lib/python2.7/site-packages/manageiq_client/api.py:109)
2018-07-02 10:16:29,451 [I] (rest-api) [RESTAPI] POST https://10.8.199.113/api/users {'action': u'create', 'resources': [{'userid': 'rest_7sx', 'password': 'zKEQE2FzdW', 'group': {'id': u'20'}, 'name': 'REST User jmHh8LkuhJ'}]} (.cfme/local/lib/python2.7/site-packages/manageiq_client/api.py:115)
2018-07-02 10:16:30,150 [I] (rest-api) [RESTAPI] RESPONSE <Response [200]> (.cfme/local/lib/python2.7/site-packages/manageiq_client/api.py:118)
2018-07-02 10:16:30,152 [I] (rest-api) [RESTAPI] GET https://10.8.199.113/api/users {'filter[]': [u'name = "REST User jmHh8LkuhJ"']} (.cfme/local/lib/python2.7/site-packages/manageiq_client/api.py:109)
2018-07-02 10:16:31,801 [I] (rest-api) [RESTAPI] GET https://10.8.199.113/api/service_dialogs {} (.cfme/local/lib/python2.7/site-packages/manageiq_client/api.py:109)
2018-07-02 10:16:35,176 [I] (rest-api) [RESTAPI] POST https://10.8.199.113/api/service_dialogs {'action': u'create', 'resources': [{'buttons': 'submit,cancel', 'dialog_tabs': [{'position': 0, 'dialog_groups': [{'position': 0, 'display': 'edit', 'dialog_fields': [{'read_only': False, 'description': 'my ele desc LGazJ1vYSL', 'data_type': 'string', 'dynamic': False, 'resource_action': {'ae_attributes': {}, 'resource_type': 'DialogField'}, 'visible': True, 'default_value': 'LGazJ1vYSL', 'name': 'service_name', 'display': 'edit', 'required': False, 'label': 'ele_LGazJ1vYSL', 'position': 0, 'type': 'DialogFieldTextBox', 'options': {'protected': False}}], 'description': 'my box desc LGazJ1vYSL', 'label': 'box_LGazJ1vYSL'}], 'display': 'edit', 'description': 'my tab desc LGazJ1vYSL', 'label': 'tab_LGazJ1vYSL'}], 'description': 'my dialog LGazJ1vYSL', 'label': 'LGazJ1vYSL'}]} (.cfme/local/lib/python2.7/site-packages/manageiq_client/api.py:115)
2018-07-02 10:16:35,801 [I] (rest-api) [RESTAPI] RESPONSE <Response [200]> (.cfme/local/lib/python2.7/site-packages/manageiq_client/api.py:118)
2018-07-02 10:16:35,804 [I] (rest-api) [RESTAPI] GET https://10.8.199.113/api/service_dialogs {'filter[]': [u'description = "my dialog LGazJ1vYSL"']} (.cfme/local/lib/python2.7/site-packages/manageiq_client/api.py:109)
2018-07-02 10:16:36,258 [I] [COLLECTIONS] Version picked collection service_dialogs as cfme.automate.dialogs.service_dialogs.DialogCollection (cfme/modeling/base.py:72)
2018-07-02 10:16:36,260 [I] (rest-api) [RESTAPI] GET https://10.8.199.113/api/service_catalogs {} (.cfme/local/lib/python2.7/site-packages/manageiq_client/api.py:109)
2018-07-02 10:16:36,751 [I] (rest-api) [RESTAPI] POST https://10.8.199.113/api/service_catalogs {'action': u'add', 'resources': [{'service_templates': [], 'name': 'cat_Ojpxw9gG1H', 'description': 'my catalog'}]} (.cfme/local/lib/python2.7/site-packages/manageiq_client/api.py:115)
2018-07-02 10:16:37,472 [I] (rest-api) [RESTAPI] RESPONSE <Response [200]> (.cfme/local/lib/python2.7/site-packages/manageiq_client/api.py:118)
2018-07-02 10:16:37,473 [I] (rest-api) [RESTAPI] GET https://10.8.199.113/api/service_catalogs {'filter[]': [u'name = "cat_Ojpxw9gG1H"']} (.cfme/local/lib/python2.7/site-packages/manageiq_client/api.py:109)
2018-07-02 10:16:37,932 [I] (rest-api) [RESTAPI] GET https://10.8.199.113/api/service_catalogs {'filter[]': [u'name = "cat_Ojpxw9gG1H"']} (.cfme/local/lib/python2.7/site-packages/manageiq_client/api.py:109)
2018-07-02 10:16:38,384 [I] (rest-api) [RESTAPI] GET https://10.8.199.113/api/service_catalogs/1 {} (.cfme/local/lib/python2.7/site-packages/manageiq_client/api.py:109)
2018-07-02 10:16:38,790 [I] (rest-api) [RESTAPI] GET https://10.8.199.113/api/service_dialogs {'filter[]': [u'label = "LGazJ1vYSL"']} (.cfme/local/lib/python2.7/site-packages/manageiq_client/api.py:109)
2018-07-02 10:16:39,174 [I] (rest-api) [RESTAPI] GET https://10.8.199.113/api/service_dialogs/2 {} (.cfme/local/lib/python2.7/site-packages/manageiq_client/api.py:109)
2018-07-02 10:16:39,597 [I] (rest-api) [RESTAPI] GET https://10.8.199.113/api/service_templates {} (.cfme/local/lib/python2.7/site-packages/manageiq_client/api.py:109)
2018-07-02 10:16:40,066 [I] (rest-api) [RESTAPI] POST https://10.8.199.113/api/service_templates {'action': u'create', 'resources': [{'service_template_catalog_id': u'1', 'name': 'item_xLAwP', 'config_info': {'retirement': {'fqname': '/Service/Retirement/StateMachines/ServiceRetirement/Default', 'dialog_id': u'2'}, 'provision': {'fqname': '/Service/Provisioning/StateMachines/ServiceProvision_Template/CatalogItemInitialization', 'dialog_id': u'2'}}, 'service_type': 'atomic', 'prov_type': 'generic', 'display': True, 'description': 'my catalog xLAwP'}]} (.cfme/local/lib/python2.7/site-packages/manageiq_client/api.py:115)
2018-07-02 10:16:40,660 [I] (rest-api) [RESTAPI] RESPONSE <Response [200]> (.cfme/local/lib/python2.7/site-packages/manageiq_client/api.py:118)
2018-07-02 10:16:40,663 [I] (rest-api) [RESTAPI] GET https://10.8.199.113/api/service_templates {'filter[]': [u'name = "item_xLAwP"']} (.cfme/local/lib/python2.7/site-packages/manageiq_client/api.py:109)
2018-07-02 10:17:06,500 [I] (rest-api) [RESTAPI] GET https://10.8.199.113/api/service_requests/1 {} (.cfme/local/lib/python2.7/site-packages/manageiq_client/api.py:109)
2018-07-02 10:17:17,418 [I] (rest-api) [RESTAPI] GET https://10.8.199.113/api/service_requests/1 {} (.cfme/local/lib/python2.7/site-packages/manageiq_client/api.py:109)
2018-07-02 10:17:28,326 [I] (rest-api) [RESTAPI] GET https://10.8.199.113/api/service_requests/1 {} (.cfme/local/lib/python2.7/site-packages/manageiq_client/api.py:109)
2018-07-02 10:17:39,200 [I] (rest-api) [RESTAPI] GET https://10.8.199.113/api/service_requests/1 {} (.cfme/local/lib/python2.7/site-packages/manageiq_client/api.py:109)
2018-07-02 10:17:50,107 [I] (rest-api) [RESTAPI] GET https://10.8.199.113/api/service_requests/1 {} (.cfme/local/lib/python2.7/site-packages/manageiq_client/api.py:109)
2018-07-02 10:18:00,989 [I] (rest-api) [RESTAPI] GET https://10.8.199.113/api/service_requests/1 {} (.cfme/local/lib/python2.7/site-packages/manageiq_client/api.py:109)
2018-07-02 10:18:11,897 [I] (rest-api) [RESTAPI] GET https://10.8.199.113/api/service_requests/1 {} (.cfme/local/lib/python2.7/site-packages/manageiq_client/api.py:109)
2018-07-02 10:18:26,033 [I] (rest-api) [RESTAPI] GET https://10.8.199.113/api/service_requests/1 {} (.cfme/local/lib/python2.7/site-packages/manageiq_client/api.py:109)
2018-07-02 10:18:36,938 [I] (rest-api) [RESTAPI] GET https://10.8.199.113/api/service_requests/1 {} (.cfme/local/lib/python2.7/site-packages/manageiq_client/api.py:109)
2018-07-02 10:18:48,849 [I] (rest-api) [RESTAPI] GET https://10.8.199.113/api/service_requests/1 {} (.cfme/local/lib/python2.7/site-packages/manageiq_client/api.py:109)
2018-07-02 10:19:02,767 [I] (rest-api) [RESTAPI] GET https://10.8.199.113/api/service_requests/1 {} (.cfme/local/lib/python2.7/site-packages/manageiq_client/api.py:109)
2018-07-02 10:31:09,795 [I] (rest-api) [RESTAPI] GET https://10.8.199.113/api/services {'filter[]': [u'service_template_id = "1"']} (.cfme/local/lib/python2.7/site-packages/manageiq_client/api.py:109)
2018-07-02 10:31:10,845 [I] (rest-api) [RESTAPI] GET https://10.8.199.113/api/services/1 {} (.cfme/local/lib/python2.7/site-packages/manageiq_client/api.py:109)
2018-07-02 10:45:27,411 [I] (rest-api) [RESTAPI] GET https://10.8.199.113/api/servers {'filter[]': [u'is_master = True']} (.cfme/local/lib/python2.7/site-packages/manageiq_client/api.py:109)
2018-07-02 10:45:28,285 [I] (rest-api) [RESTAPI] GET https://10.8.199.113/api/servers/1 {} (.cfme/local/lib/python2.7/site-packages/manageiq_client/api.py:109)
2018-07-02 10:45:28,732 [I] USING UI ADDRESS (cfme/base/ui.py:36)
2018-07-02 10:45:28,733 [I] starting browser (cfme/utils/browser.py:302)
2018-07-02 10:45:28,733 [I] starting browser for 'https://10.8.199.113/' (cfme/utils/browser.py:310)
2018-07-02 10:47:21,202 [I] (MiqBrowser) Opened browser chrome 64.0.3282.119 (cfme/utils/appliance/implementations/ui.py:238)
2018-07-02 10:47:21,203 [I] (rest-api) [RESTAPI] POST https://10.8.199.113/api/services/1 {'action': u'delete'} (.cfme/local/lib/python2.7/site-packages/manageiq_client/api.py:115)
2018-07-02 10:47:22,440 [I] (rest-api) [RESTAPI] RESPONSE <Response [200]> (.cfme/local/lib/python2.7/site-packages/manageiq_client/api.py:118)
2018-07-02 10:47:22,441 [I] (rest-api) [RESTAPI] GET https://10.8.199.113/api/service_templates {} (.cfme/local/lib/python2.7/site-packages/manageiq_client/api.py:109)
2018-07-02 10:47:22,791 [I] (rest-api) [RESTAPI] GET https://10.8.199.113/api/service_templates {'expand': 'resources'} (.cfme/local/lib/python2.7/site-packages/manageiq_client/api.py:109)
2018-07-02 10:47:23,211 [I] (rest-api) [RESTAPI] POST https://10.8.199.113/api/service_templates {'action': u'delete', 'resources': [{'href': u'https://10.8.199.113/api/service_templates/1'}]} (.cfme/local/lib/python2.7/site-packages/manageiq_client/api.py:115)
2018-07-02 10:47:23,712 [I] (rest-api) [RESTAPI] RESPONSE <Response [200]> (.cfme/local/lib/python2.7/site-packages/manageiq_client/api.py:118)
2018-07-02 10:47:23,714 [I] (rest-api) [RESTAPI] GET https://10.8.199.113/api/service_catalogs {} (.cfme/local/lib/python2.7/site-packages/manageiq_client/api.py:109)
2018-07-02 10:47:24,124 [I] (rest-api) [RESTAPI] GET https://10.8.199.113/api/service_catalogs {'expand': 'resources'} (.cfme/local/lib/python2.7/site-packages/manageiq_client/api.py:109)
2018-07-02 10:47:24,579 [I] (rest-api) [RESTAPI] POST https://10.8.199.113/api/service_catalogs {'action': u'delete', 'resources': [{'href': u'https://10.8.199.113/api/service_catalogs/1'}]} (.cfme/local/lib/python2.7/site-packages/manageiq_client/api.py:115)
2018-07-02 10:47:25,015 [I] (rest-api) [RESTAPI] RESPONSE <Response [200]> (.cfme/local/lib/python2.7/site-packages/manageiq_client/api.py:118)
2018-07-02 10:47:25,016 [I] (rest-api) [RESTAPI] GET https://10.8.199.113/api/service_dialogs {} (.cfme/local/lib/python2.7/site-packages/manageiq_client/api.py:109)
2018-07-02 10:47:25,439 [I] (rest-api) [RESTAPI] GET https://10.8.199.113/api/service_dialogs {'expand': 'resources'} (.cfme/local/lib/python2.7/site-packages/manageiq_client/api.py:109)
2018-07-02 10:47:26,136 [I] (rest-api) [RESTAPI] POST https://10.8.199.113/api/service_dialogs {'action': u'delete', 'resources': [{'href': u'https://10.8.199.113/api/service_dialogs/2'}]} (.cfme/local/lib/python2.7/site-packages/manageiq_client/api.py:115)
2018-07-02 10:47:26,606 [I] (rest-api) [RESTAPI] RESPONSE <Response [200]> (.cfme/local/lib/python2.7/site-packages/manageiq_client/api.py:118)
2018-07-02 10:47:26,608 [I] (rest-api) [RESTAPI] GET https://10.8.199.113/api/users {} (.cfme/local/lib/python2.7/site-packages/manageiq_client/api.py:109)
2018-07-02 10:47:27,017 [I] (rest-api) [RESTAPI] GET https://10.8.199.113/api/users {'expand': 'resources'} (.cfme/local/lib/python2.7/site-packages/manageiq_client/api.py:109)
2018-07-02 10:47:27,493 [I] (rest-api) [RESTAPI] POST https://10.8.199.113/api/users {'action': u'delete', 'resources': [{'href': u'https://10.8.199.113/api/users/2'}]} (.cfme/local/lib/python2.7/site-packages/manageiq_client/api.py:115)
2018-07-02 10:47:28,049 [I] (rest-api) [RESTAPI] RESPONSE <Response [200]> (.cfme/local/lib/python2.7/site-packages/manageiq_client/api.py:118)
2018-07-02 10:47:28,050 [I] (rest-api) [RESTAPI] GET https://10.8.199.113/api/groups {} (.cfme/local/lib/python2.7/site-packages/manageiq_client/api.py:109)
2018-07-02 10:47:28,449 [I] (rest-api) [RESTAPI] GET https://10.8.199.113/api/groups {'expand': 'resources'} (.cfme/local/lib/python2.7/site-packages/manageiq_client/api.py:109)
2018-07-02 10:47:29,033 [I] (rest-api) [RESTAPI] POST https://10.8.199.113/api/groups {'action': u'delete', 'resources': [{'href': u'https://10.8.199.113/api/groups/20'}]} (.cfme/local/lib/python2.7/site-packages/manageiq_client/api.py:115)
2018-07-02 10:47:31,620 [I] (rest-api) [RESTAPI] RESPONSE <Response [200]> (.cfme/local/lib/python2.7/site-packages/manageiq_client/api.py:118)
2018-07-02 10:47:31,622 [I] (rest-api) [RESTAPI] POST https://10.8.199.113/api/roles/19 {'action': u'delete'} (.cfme/local/lib/python2.7/site-packages/manageiq_client/api.py:115)
2018-07-02 10:47:32,097 [I] (rest-api) [RESTAPI] RESPONSE <Response [200]> (.cfme/local/lib/python2.7/site-packages/manageiq_client/api.py:118)
2018-07-02 10:47:32,100 [I] ----------- TestServiceRequests.test_user_item_order result: passed ------------ (cfme/fixtures/log.py:70)
2018-07-02 10:47:32,141 [I] ============================== Finished test run =============================== (cfme/fixtures/log.py:95)
2018-07-02 10:47:32,141 [I] ============================= total: 1, passed: 1 ============================== (cfme/fixtures/log.py:96)
2018-07-02 10:47:32,184 [I] Popped appliance empty from the stack (now there is empty) (cfme/utils/appliance/__init__.py:2827)



Service Request data:
{"href":"https://10.8.199.113/api/service_requests/1","id":"1","description":"Provisioning Service [item_xLAwP] from [item_xLAwP]","approval_state":"approved","type":"ServiceTemplateProvisionRequest","created_on":"2018-07-02T07:16:42Z","updated_on":"2018-07-02T07:18:53Z","fulfilled_on":"2018-07-02T07:18:53Z","requester_id":"2","requester_name":"REST User jmHh8LkuhJ","request_type":"clone_to_service","request_state":"finished","message":"[EVM] Service [LGazJ1vYSL] Provisioned Successfully","status":"Ok","options":{"dialog":{"dialog_service_name":"LGazJ1vYSL"},"workflow_settings":{"resource_action_id":"22","dialog_id":"2"},"initiator":null,"src_id":"1","cart_state":"ordered","requester_group":"group_description_1DvIxAvU5p","executed_on_servers":[1,1],"delivered_on":"2018-07-02T07:17:02.033Z","user_message":"[EVM] Service [LGazJ1vYSL] Provisioned Successfully"},"userid":"rest_7sx","source_id":null,"source_type":"ServiceTemplate","destination_id":null,"destination_type":null,"tenant_id":"1","service_order_id":"1","process":true,"actions":[{"name":"approve","method":"post","href":"https://10.8.199.113/api/service_requests/1"},{"name":"deny","method":"post","href":"https://10.8.199.113/api/service_requests/1"},{"name":"delete","method":"post","href":"https://10.8.199.113/api/service_requests/1"},{"name":"add_approver","method":"post","href":"https://10.8.199.113/api/service_requests/1"},{"name":"remove_approver","method":"post","href":"https://10.8.199.113/api/service_requests/1"},{"name":"edit","method":"post","href":"https://10.8.199.113/api/service_requests/1"},{"name":"delete","method":"delete","href":"https://10.8.199.113/api/service_requests/1"}]}

Comment 2 Ievgen Zapolskyi 2018-07-02 08:37:51 UTC
Created attachment 1455905 [details]
cfme logs

Comment 4 CFME Bot 2018-07-03 15:57:27 UTC
New commit detected on ManageIQ/manageiq-ui-classic/master:

https://github.com/ManageIQ/manageiq-ui-classic/commit/07ce24f6549896cf090ac3342ec513909fea13db
commit 07ce24f6549896cf090ac3342ec513909fea13db
Author:     Harpreet Kataria <hkataria@redhat.com>
AuthorDate: Mon Jul  2 12:53:44 2018 -0400
Commit:     Harpreet Kataria <hkataria@redhat.com>
CommitDate: Mon Jul  2 12:53:44 2018 -0400

    Fixed variable name

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1597193

 app/controllers/miq_request_controller.rb | 2 +-
 spec/controllers/miq_request_controller_spec.rb | 25 +
 2 files changed, 26 insertions(+), 1 deletion(-)

Comment 5 Niyaz Akhtar Ansari 2019-01-02 06:15:05 UTC
Verified in Version 5.10.0.30.20181218191323_900a416


Note You need to log in before you can comment on or make changes to this bug.